Ticket #38074

タイトルバーダブルクリック時の挙動

Open Date: 2018-03-26 10:25 Last Update: 2018-06-14 17:47

Reporter:
Owner:
Status:
Open [Owner assigned]
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

タイトルバーをダブルクリックした場合、ウィンドウサイズと端末サイズが違っていた場合に端末サイズに合わせてウィンドウサイズを変更するようになっている。

しかし、TermIsWin=on の時は常に端末サイズとウィンドウサイズが一致している状態の為、結果としてタイトルバーをダブルクリックしても何も起こらないように見えてしまう。

TermIsWin=on の時は他のアプリケーションに合わせてウィンドウの最大化を行うようにする方が便利ではないだろうか? それともかえって判りにくくなる?

Attachment File List

No attachments

Ticket History (3/5 Histories)

2018-03-26 10:25 Updated by: doda
  • New Ticket "タイトルバーダブルクリック時の挙動" created
2018-04-12 12:31 Updated by: maya
  • Details Updated
Comment

doda への返信

TermIsWin=on の時は他のアプリケーションに合わせてウィンドウの最大化を行うようにする方が便利ではないだろうか?

フラグで切り分ければ、ウィンドウサイズの変更を求めている人(デフォルトがonなので少ないと思いますが)・求めていない人の両方にとってよいと思います。

混乱に関してはドキュメントの「マウス」に説明を追加すればよいと思います。

# 副作用としては、ユーザとしての私は最大化しないのであまり気にしませんが、最大化での文字欠けが完全に解消されてない気がするので、その件が取り沙汰されがちになる可能性があります。

2018-06-14 16:01 Updated by: doda
  • Owner Update from (None) to doda
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to Tera Term 4.100
Comment

take.

2018-06-14 17:46 Updated by: doda
  • Resolution Update from Accepted to Fixed
Comment

r7132で対応

2018-06-14 17:47 Updated by: doda
Comment

maya への返信

# 副作用としては、ユーザとしての私は最大化しないのであまり気にしませんが、最大化での文字欠けが完全に解消されてない気がするので、その件が取り沙汰されがちになる可能性があります。

現状でも最大化ボタンが使えるので、変更してもあまり影響はないと思っています。

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login